package com.bwie.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.request.VoClazz;

import com.bwie.common.domain.request.VoStu;
import com.bwie.common.result.Result;
import com.bwie.service.ClazzService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author: 靳家振
 * @Date: 2023/12/17 11:50
 * @Description:
 **/

@RestController
@RequestMapping("/clazz")
@Log4j2
public class ClazzController {
    @Autowired
    private HttpServletRequest request;

    @Autowired
    private ClazzService service;

    @PostMapping("/clazzList")
    public Result clazzList(@RequestBody VoClazz voClazz) {
        log.info ("功能名称:xxx,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI (), request.getMethod (), JSON.toJSONString (voClazz));
        Result result = service.clazzList (voClazz);
        log.info ("功能名称:xxx,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI (), request.getMethod (), JSONObject.toJSONString (result));
        return result;
    }

    @PostMapping("/stuList")
    public Result stuList(@RequestBody VoStu voStu) {
        log.info ("功能名称:xxx,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI (), request.getMethod (), JSON.toJSONString (voStu));
        Result result = service.stuList (voStu);
        log.info ("功能名称:xxx,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI (), request.getMethod (), JSONObject.toJSONString (result));
        return result;
    }



}
